
TYPO3.Media - Bug # 33564

Status: Resolved Priority: Must have
Author: Karsten Dambekalns Category:
Created: 2012-01-31 Assigned To: Bastian Waidelich
Updated: 2012-05-08 Due date:
Subject: Persisting image throws Exception
Description

When trying to upload an image I get this result:

http://dl.dropbox.com/u/1536167/Phoenix/stacktrace.html

Related issues:
related to TYPO3.Flow - Bug # 32700: Validation does not work for collections Resolved 2011-12-19
related to TYPO3.Flow - Bug # 33883: Repositories must be singleton, but no c... Resolved 2012-02-13

Associated revisions
Revision f2ecaba8 - 2012-01-31 20:07 - Bastian Waidelich

[BUGFIX] Persisting image throws Exception

The imageRepository was not of type Singelton but is a property of
the image domain model. That's why the GenericObjectValidator
tried to validate it.

Change-Id: I7122cf0e2778c07a0e0c0a419004d1e66435b565
Fixes: #33564

History
#1 - 2012-01-31 16:55 - Bastian Waidelich
- Project changed from TYPO3.Neos to TYPO3.Media
- Status changed from New to Accepted
- Assigned To set to Bastian Waidelich
- Priority changed from Should have to Must have

#2 - 2012-01-31 16:56 - Bastian Waidelich
- Subject changed from Uploading an image is broken to Persisting image throws Exception

#3 - 2012-01-31 17:19 - Adrian Föder

inserting

@FLOW3\Scope("singleton")

at the ImageRepository fixes the issue; removing it makes the error occur again (just for evidence it's the actual reason)

#4 - 2012-01-31 20:07 - Gerrit Code Review
Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/8782

#5 - 2012-01-31 20:11 - Bastian Waidelich
- Status changed from Accepted to Under Review

BTW: I think, this behavior changed with http://forge.typo3.org/issues/32700

#6 - 2012-05-08 18:10 - Bastian Waidelich
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
